cdac.medinfo.ccd.datatype

## Class CD

- java.lang.Object
- - cdac.medinfo.ccd.datatype.ANY
  - - cdac.medinfo.ccd.datatype.CD

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    BXITCD, CE, SXCMCD

      public class CD
      extends ANY

  A concept descriptor represents any kind of concept usually by giving a code defined in a code system. A concept descriptor can contain the original text or phrase that served as the basis of the coding and one or more translations into different coding systems. A concept descriptor can also contain qualifiers to describe, e.g., the concept of a "left foot" as a postcoordinated term built from the primary code "FOOT" and the qualifier "LEFT". In exceptional cases, the concept descriptor need not contain a code but only the original text describing that concept.

  Java class for CD complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CD">
         <complexContent>
           <extension base="{urn:hl7-org:v3}ANY">
             <sequence>
               <element name="originalText" type="{urn:hl7-org:v3}ED" minOccurs="0"/>
               <element name="qualifier" type="{urn:hl7-org:v3}CR" maxOccurs="unbounded" minOccurs="0"/>
               <element name="translation" type="{urn:hl7-org:v3}CD" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="code" type="{urn:hl7-org:v3}cs" />
             <attribute name="codeSystem" type="{urn:hl7-org:v3}uid" />
             <attribute name="codeSystemName" type="{urn:hl7-org:v3}st" />
             <attribute name="codeSystemVersion" type="{urn:hl7-org:v3}st" />
             <attribute name="displayName" type="{urn:hl7-org:v3}st" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CD()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCode()` Gets the value of the code property.
    `java.lang.String` | `getCodeSystem()` Gets the value of the codeSystem property.
    `java.lang.String` | `getCodeSystemName()` Gets the value of the codeSystemName property.
    `java.lang.String` | `getCodeSystemVersion()` Gets the value of the codeSystemVersion property.
    `java.lang.String` | `getDisplayName()` Gets the value of the displayName property.
    `ED` | `getOriginalText()` Gets the value of the originalText property.
    `java.util.List<CR>` | `getQualifier()` Gets the value of the qualifier property.
    `java.util.List<CD>` | `getTranslation()` Gets the value of the translation property.
    `void` | `setCode(java.lang.String value)` Sets the value of the code property.
    `void` | `setCodeSystem(java.lang.String value)` Sets the value of the codeSystem property.
    `void` | `setCodeSystemName(java.lang.String value)` Sets the value of the codeSystemName property.
    `void` | `setCodeSystemVersion(java.lang.String value)` Sets the value of the codeSystemVersion property.
    `void` | `setDisplayName(java.lang.String value)` Sets the value of the displayName property.
    `void` | `setOriginalText(ED value)` Sets the value of the originalText property.

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ANY

      `getContent, getNullFlavor, setContent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CD

          public CD()

  - ### Method Detail

    - #### getOriginalText

          public ED getOriginalText()

      Gets the value of the originalText property.
      Returns:
        possible object is `ED`

    - #### setOriginalText

          public void setOriginalText(ED value)

      Sets the value of the originalText property.
      Parameters:
        `value` - allowed object is `ED`

    - #### getQualifier

          public java.util.List<CR> getQualifier()

      Gets the value of the qualifier property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the qualifier property.

      For example, to add a new item, do as follows:

              getQualifier().add(newItem);

      Objects of the following type(s) are allowed in the list `CR`

    - #### getTranslation

          public java.util.List<CD> getTranslation()

      Gets the value of the translation property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the translation property.

      For example, to add a new item, do as follows:

              getTranslation().add(newItem);

      Objects of the following type(s) are allowed in the list `CD`

    - #### getCode

          public java.lang.String getCode()

      Gets the value of the code property.
      Returns:
        possible object is `String`

    - #### setCode

          public void setCode(java.lang.String value)

      Sets the value of the code property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodeSystem

          public java.lang.String getCodeSystem()

      Gets the value of the codeSystem property.
      Returns:
        possible object is `String`

    - #### setCodeSystem

          public void setCodeSystem(java.lang.String value)

      Sets the value of the codeSystem property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodeSystemName

          public java.lang.String getCodeSystemName()

      Gets the value of the codeSystemName property.
      Returns:
        possible object is `String`

    - #### setCodeSystemName

          public void setCodeSystemName(java.lang.String value)

      Sets the value of the codeSystemName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodeSystemVersion

          public java.lang.String getCodeSystemVersion()

      Gets the value of the codeSystemVersion property.
      Returns:
        possible object is `String`

    - #### setCodeSystemVersion

          public void setCodeSystemVersion(java.lang.String value)

      Sets the value of the codeSystemVersion property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDisplayName

          public java.lang.String getDisplayName()

      Gets the value of the displayName property.
      Returns:
        possible object is `String`

    - #### setDisplayName

          public void setDisplayName(java.lang.String value)

      Sets the value of the displayName property.
      Parameters:
        `value` - allowed object is `String`